libmpq(3)

NAME
libmpq - cross-platform C library for manipulating mpq archives.

SYNOPSIS
#include <mpq.h>

int32_t libmpq__file_offset(
        mpq_archive_s  *mpq_archive,
        uint32_t        file_number,
        off_t          *offset
);

DESCRIPTION

Call libmpq__file_offset() to get the offset of the file, which is the absolute position in the archive. It also supports archives within archives.

The libmpq__file_offset() function takes as first argument the archive structure mpq_archive which have to be allocated first and opened by libmpq__archive_open(). The second argument file_number is the number of file and the third argument is a reference to the file starting position offset in archive.

RETURN VALUE
On success, a zero is returned and on error one of the following constants.

LIBMPQ_ERROR_EXIST
    File does not exist in archive.

SEE ALSO
libmpq__archive_offset(3), libmpq__block_offset(3)

AUTHOR
Check documentation.

libmpq is (c) 2003-2008
    Maik Broemme <mbroemme@plusserver.de>

The above e-mail address can be used to send bug reports, feedbacks or library enhancements.